import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.mcpAccessProfile.update({
appId: "<id>",
connectorId: "<id>",
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/mcp_toolsets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile": {
"appEntitlementId": "<string>",
"appId": "<string>",
"connectorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"toolCount": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/mcp_toolsets/{id}"
payload = {
"profile": {
"appEntitlementId": "<string>",
"appId": "<string>",
"connectorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"toolCount": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profile: {
appEntitlementId: '<string>',
appId: '<string>',
connectorId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
deletedAt: '2023-11-07T05:31:56Z',
description: '<string>',
displayName: '<string>',
id: '<string>',
toolCount: 123,
updatedAt: '2023-11-07T05:31:56Z'
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/mcp_toolsets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile": {
"appEntitlementId": "<string>",
"appId": "<string>",
"connectorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"toolCount": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Update
Update modifies a toolset’s admin-editable fields via update_mask. Editable paths: display_name, description. profile must include id, app_id, and connector_id.
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.mcpAccessProfile.update({
appId: "<id>",
connectorId: "<id>",
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
App identifier (app that owns the connector).
Connector identifier.
Unique identifier for this access profile.
Body
Response
MCPAccessProfileServiceUpdateResponse returns the updated MCP access profile.
MCPAccessProfileServiceUpdateResponse returns the updated MCP access profile.
MCPAccessProfile represents an admin-curated grouping of MCP tools.
Show child attributes
Show child attributes
Was this page helpful?